[OMEN by HP Laptop 15-dh0xxx, Realtek ALC285, Black Mic, Left] Recording problem

Bug #1874698 reported by Wittawat Jitkrittum on 2020-04-24
28
This bug affects 4 people
Affects Status Importance Assigned to Milestone
HWE Next
Undecided
Unassigned
OEM Priority Project
Critical
hugh chao
alsa-ucm-conf (Ubuntu)
Status tracked in Groovy
Focal
Undecided
Unassigned
Groovy
Undecided
Unassigned
linux (Ubuntu)
Low
Hui Wang
Focal
Low
Unassigned

Bug Description

This is for alsa-ucm-conf:

The patches are already in the mainline alsa-ucm-conf, so only
sent the SRU for focal

[Impact]
On the machines without Intel HDMI, the sof driver will fail to initialize.

[Fix]
After fixing the kernel, we also need to change the ucm2 to make it
support the machine without Intel hdmi audio.

[Test Case]
Boot the kernel on the machines without Intel HDMI audio, everything
works well including the audio.

[Regression Risk]
Low, these 2 patches are already in the mainline alsa-ucm-conf. And we
already tested them on 4 HP machines.

This is for linux kernel:

The patch is already in the oem-5.6 kernel and unstable kernel, so only
sent the SRU for focal

[Impact]
On the machines without Intel HDMI, the sof driver will fail to initialize.

[Fix]
Intel upstream 2 patches in the kernel to fix it.

[Test Case]
Boot the kernel on the machines without Intel HDMI audio, everything
works well including the audio.

[Regression Risk]
Low, these 2 patches are already in the mainline kernel.

On Ubuntu 20.04, by default, sof-audio-pci is used. I only have "Dummy output" in pavucontrol. To fix this, I modified /etc/modprobe.d/alsa-base.conf and added "options snd-intel-dspcfg dsp_driver=1" so that now "snd-hda-intel" is loaded instead of sof-audio-pci. While the speakers are working fine, I do not have the internal microphone working (suspect a digital array).

ProblemType: Bug
DistroRelease: Ubuntu 20.04
Package: alsa-base 1.0.25+dfsg-0ubuntu5
ProcVersionSignature: Ubuntu 5.4.0-26.30-generic 5.4.30
Uname: Linux 5.4.0-26-generic x86_64
NonfreeKernelModules: nvidia_modeset nvidia
ApportVersion: 2.20.11-0ubuntu27
Architecture: amd64
AudioDevicesInUse:
 USER PID ACCESS COMMAND
 /dev/snd/controlC1: wittawat 2063 F.... pulseaudio
 /dev/snd/controlC0: wittawat 2063 F.... pulseaudio
CasperMD5CheckResult: skip
CurrentDesktop: ubuntu:GNOME
Date: Fri Apr 24 12:42:32 2020
InstallationDate: Installed on 2020-04-23 (0 days ago)
InstallationMedia: Ubuntu 20.04 LTS "Focal Fossa" - Release amd64 (20200423)
PackageArchitecture: all
SourcePackage: alsa-driver
Symptom: audio
Symptom_AlsaRecordingTest: ALSA recording test through plughw:PCH failed
Symptom_Card: Built-in Audio - HDA Intel PCH
Symptom_Jack: Black Mic, Left
Symptom_Type: None of the above
Title: [OMEN by HP Laptop 15-dh0xxx, Realtek ALC285, Black Mic, Left] Recording problem
UpgradeStatus: No upgrade log present (probably fresh install)
dmi.bios.date: 12/09/2019
dmi.bios.vendor: AMI
dmi.bios.version: F.22
dmi.board.asset.tag: Base Board Asset Tag
dmi.board.name: 8600
dmi.board.vendor: HP
dmi.board.version: 44.41
dmi.chassis.type: 10
dmi.chassis.vendor: HP
dmi.chassis.version: Chassis Version
dmi.modalias: dmi:bvnAMI:bvrF.22:bd12/09/2019:svnHP:pnOMENbyHPLaptop15-dh0xxx:pvr:rvnHP:rn8600:rvr44.41:cvnHP:ct10:cvrChassisVersion:
dmi.product.family: 103C_5335KV HP OMEN
dmi.product.name: OMEN by HP Laptop 15-dh0xxx
dmi.product.sku: 7JX54EA#ABD
dmi.sys.vendor: HP
mtime.conffile..etc.modprobe.d.alsa-base.conf: 2020-04-24T12:32:21.613996

CVE References

Wittawat Jitkrittum (wittawatj) wrote :
Hui Wang (hui.wang) wrote :

Please remove "options snd-intel-dspcfg dsp_driver=1" temporarily, reboot and upload the dmesg, let us see what is wrong without dsp_driver=1.

Wittawat Jitkrittum (wittawatj) wrote :

Many thanks for your prompt response. If I remove, "options snd-intel-dspcfg dsp_driver=1" from /etc/modprobe.d/alsa-base.conf, then on pavucontrol, I see "Dummy Output" on the "Output Devices" tab and the speakers will not work. Attaching alsa-info here:

http://alsa-project.org/db/?f=eef8051cb397d6b1240bbbc0a84d102928ec23c9

----

inxi -Fxz

System: Kernel: 5.4.0-26-generic x86_64 bits: 64 compiler: gcc v: 9.3.0 Desktop: Gnome 3.36.1
           Distro: Ubuntu 20.04 LTS (Focal Fossa)
Machine: Type: Laptop System: HP product: OMEN by HP Laptop 15-dh0xxx v: N/A serial: <filter>
           Mobo: HP model: 8600 v: 44.41 serial: <filter> UEFI: AMI v: F.22 date: 12/09/2019
Battery: ID-1: BAT1 charge: 70.1 Wh condition: 70.1/69.0 Wh (102%) model: COMPAL PABAS0241231 status: Full
CPU: Topology: 6-Core model: Intel Core i7-9750H bits: 64 type: MT MCP arch: Kaby Lake rev: A L2 cache: 12.0 MiB
           flags: avx avx2 lm nx pae sse sse2 sse3 sse4_1 sse4_2 ssse3 vmx bogomips: 62399
           Speed: 800 MHz min/max: 800/4500 MHz Core speeds (MHz): 1: 800 2: 800 3: 800 4: 800 5: 800 6: 800 7: 800 8: 800
           9: 800 10: 800 11: 800 12: 800
Graphics: Device-1: NVIDIA TU106M [GeForce RTX 2060 Mobile] vendor: Hewlett-Packard driver: nvidia v: 440.64 bus ID: 01:00.0
           Display: x11 server: X.Org 1.20.8 driver: nvidia unloaded: fbdev,modesetting,nouveau,vesa
           resolution: 1920x1080~144Hz
           OpenGL: renderer: GeForce RTX 2060/PCIe/SSE2 v: 4.6.0 NVIDIA 440.64 direct render: Yes
Audio: Device-1: Intel Cannon Lake PCH cAVS vendor: Hewlett-Packard driver: sof-audio-pci bus ID: 00:1f.3
           Device-2: NVIDIA TU106 High Definition Audio vendor: Hewlett-Packard driver: snd_hda_intel v: kernel
           bus ID: 01:00.1
           Sound Server: ALSA v: k5.4.0-26-generic
Network: Device-1: Realtek RTL8111/8168/8411 PCI Express Gigabit Ethernet vendor: Hewlett-Packard driver: r8169 v: kernel
           port: 3000 bus ID: 3c:00.0
           IF: enp60s0 state: down mac: <filter>
           Device-2: Intel Wi-Fi 6 AX200 driver: iwlwifi v: kernel port: 3000 bus ID: 3e:00.0
           IF: wlp62s0 state: up mac: <filter>
Drives: Local Storage: total: 476.94 GiB used: 15.11 GiB (3.2%)
           ID-1: /dev/nvme0n1 vendor: Samsung model: MZVLB512HAJQ-000H1 size: 476.94 GiB
RAID: Hardware-1: Intel 82801 Mobile SATA Controller [RAID mode] driver: ahci v: 3.0 bus ID: 00:17.0
Partition: ID-1: / size: 48.34 GiB used: 13.52 GiB (28.0%) fs: ext4 dev: /dev/nvme0n1p5
           ID-2: /home size: 182.34 GiB used: 1.52 GiB (0.8%) fs: ext4 dev: /dev/nvme0n1p7
           ID-3: swap-1 size: 37.81 GiB used: 0 KiB (0.0%) fs: swap dev: /dev/nvme0n1p6
Sensors: System Temperatures: cpu: 49.0 C mobo: 10.0 C gpu: nvidia temp: 38 C
           Fan Speeds (RPM): N/A
Info: Processes: 418 Uptime: 4m Memory: 15.51 GiB used: 2.68 GiB (17.3%) Init: systemd runlevel: 5 Compilers: gcc: 9.3.0

Wittawat Jitkrittum (wittawatj) wrote :

Full dmesg log. Remove "options snd-intel-dspcfg dsp_driver=1"

Hui Wang (hui.wang) wrote :

OK, there is at least one problem in the driver I know, and will build a testing kernel, maybe next Monday.

Please use the workaround "dsp_driver=1" temporarily.

thx.

Wittawat Jitkrittum (wittawatj) wrote :

Okay. I will use "dsp_driver=1" for now then. Just for your information, before I installed Ubuntu 20.04, I used 18.04. On 18.04, I tried a few kernels on https://kernel.ubuntu.com/~kernel-ppa/mainline/ ranging from 5.3.x, 5.4.x, 5.5.x, 5.6.6 (I can't remember which x I tried anymore). I got the same observation I reported here for both cases (with dsp_driver=1 or without).

description: updated
Hui Wang (hui.wang) wrote :

please test this kernel https://people.canonical.com/~hwang4/skipi915/. and don't forget to remove the "dsp_driver=1" temporarily when testing this kernel.

And I guess it will meet a new problem when loading ucm, but at least the kernel driver should finish the initializtion, let us debug the kernel driver first.

After booting the kernel, please upload the dmesg here.

thx.

Wittawat Jitkrittum (wittawatj) wrote :
Download full text (3.4 KiB)

I downloaded all the .deb files in to one folder. I did "sudo dpkg -i *.deb". I got

-------------
(base) wittawat@omen:~/software/kernel5.4.0-26$ sudo dpkg -i *.deb
[sudo] password for wittawat:
(Reading database ... 363020 files and directories currently installed.)
Preparing to unpack linux-buildinfo-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb ...
Unpacking linux-buildinfo-5.4.0-26-generic (5.4.0-26.30+skipi915) over (5.4.0-26.30+skipi915) ...
Preparing to unpack linux-headers-5.4.0-26_5.4.0-26.30+skipi915_all.deb ...
Unpacking linux-headers-5.4.0-26 (5.4.0-26.30+skipi915) over (5.4.0-26.30) ...
Preparing to unpack linux-headers-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb ...
Unpacking linux-headers-5.4.0-26-generic (5.4.0-26.30+skipi915) over (5.4.0-26.30+skipi915) ...
dpkg: regarding linux-image-unsigned-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb containing linux-image-unsigned-5.4.0-26-generic:
 linux-image-unsigned-5.4.0-26-generic conflicts with linux-image-5.4.0-26-generic
  linux-image-5.4.0-26-generic (version 5.4.0-26.30) is present and installed.

dpkg: error processing archive linux-image-unsigned-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb (--install):
 conflicting packages - not installing linux-image-unsigned-5.4.0-26-generic
Preparing to unpack linux-modules-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb ...
Unpacking linux-modules-5.4.0-26-generic (5.4.0-26.30+skipi915) over (5.4.0-26.30+skipi915) ...
Preparing to unpack linux-modules-extra-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb ...
Unpacking linux-modules-extra-5.4.0-26-generic (5.4.0-26.30+skipi915) over (5.4.0-26.30+skipi915) ...
Setting up linux-buildinfo-5.4.0-26-generic (5.4.0-26.30+skipi915) ...
Setting up linux-headers-5.4.0-26 (5.4.0-26.30+skipi915) ...
Setting up linux-headers-5.4.0-26-generic (5.4.0-26.30+skipi915) ...
/etc/kernel/header_postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.4.0-26-generic
   ...done.
Setting up linux-modules-5.4.0-26-generic (5.4.0-26.30+skipi915) ...
Setting up linux-modules-extra-5.4.0-26-generic (5.4.0-26.30+skipi915) ...
Processing triggers for linux-image-5.4.0-26-generic (5.4.0-26.30) ...
/etc/kernel/postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.4.0-26-generic
   ...done.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-26-generic
I: The initramfs will attempt to resume from /dev/nvme0n1p6
I: (UUID=d2015f5d-b89b-4eb2-a3a2-0af81dc8285f)
I: Set the RESUME variable to override this.
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Sourcing file `/etc/default/grub.d/init-select.cfg'
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.4.0-26-generic
Found initrd image: /boot/initrd.img-5.4.0-26-generic
Found Windows Boot Manager on /dev/nvme0n1p1@/EFI/Microsoft/Boot/bootmgfw.efi
Adding boot menu entry for UEFI Firmware Settings
done
Errors were encountered while processing:
 linux-image-unsigned-5.4.0-26-generic_5.4.0-26.30+skipi915_amd64.deb
-------------------

Not sure if it was successfully installed. Does not seem to be the case. Anyway, I comment out "options sn...

Read more...

Hui Wang (hui.wang) wrote :

In the #8, the testing kernel was not installed successfully.

Please try to install this testing kernel: https://people.canonical.com/~hwang4/25skipi915/, it is 5.4.0-25-generic which has different version from yours.

sudo dpkg -i *.deb
then remove workaround temporarily
reboot, in the grub, choose 5.4.0-25-genereic kernel to boot, then upload dmesg.

thx.

• Installed kernel 5.4.0-25-generic that you provided. The command dpkg -i gave an error about missing headers.
• Comment out dsp_driver=1. Restart.
• Despite some error about missing headers, Grub menu shows a new entry for kernel 5.4.0-25. I selected it.
• Then I ran alsa-info.

Also-info here: http://alsa-project.org/db/?f=93840ffc3499ac237e28c317fb53da3e7c6f14ec

Hui Wang (hui.wang) wrote :

the -25 kernel was successfully installed, but according to log, there is some driver issues not fixed, so please try this v2 kernel:

sudo dpkg -r --force-all linux-image-unsigned-5.4.0-25-generic (uninstall the -25 kernel installed yesterday)

download the v2 kernel: https://people.canonical.com/~hwang4/25skipi915/v2/

sudo dpkg -i *.deb (the v2 kernel deb)

and please upload dmesg rather than alsa-info.txt this time.

thx.

Followed the instruction in #11. Comment out dsp_driver=1 in alsa-base.conf. Restart.

* Full dmesg in the attached file.

* alsa-info: http://alsa-project.org/db/?f=021d92b6074d91fbbbae580104b68a751c07a968

pavucontrol shows "Dummy output".

Hui Wang (hui.wang) wrote :

It is better now with v2, but the driver fails at the machine driver initialization stage:
[ 3.349857] skl_hda_dsp_generic skl_hda_dsp_generic: Unsupported HDAudio/iDisp configuration found
[ 3.349860] skl_hda_dsp_generic: probe of skl_hda_dsp_generic failed with error -22

Hui Wang (hui.wang) wrote :

Please test v3 kernel: https://people.canonical.com/~hwang4/25skipi915/v3/

I guess v3 kernel will work successfully, after boot up, you could run alsa -l to check if there is valid sound card.

and pulseaudio will have an error on your machine, so if the kernel has no error, please backup /usr/share/alsa/ucm2/sof-hda-dsp/Hdmi.conf, and I uploaded a new Hdmi.conf in https://people.canonical.com/~hwang4/25skipi915/v3/, please copy this file /usr/share/alsa/ucm2/sof-hda-dsp/

then reboot.

Thanks for the update.
• Removed the previous kernel with sudo dpkg -r --force-all linux-image-unsigned-5.4.0-25-generic
• Downloaded and installed v3 with sudo dpkg -i *.dev. Got

------
Processing triggers for linux-image-unsigned-5.4.0-25-generic (5.4.0-25.29+skiphdmiv3) ...
/etc/kernel/postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.4.0-25-generic
ACPI disabled in this kernel, not building module.
Error! The /var/lib/dkms/acpi-call/1.1.0/5.4.0-25-generic/x86_64/dkms.conf for module acpi-call includes a BUILD_EXCLUSIVE directive which
does not match this kernel/arch. This indicates that it should not be built.
Error! Your kernel headers for kernel 5.4.0-25-generic cannot be found.
Please install the linux-headers-5.4.0-25-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
-----

• Anyway, I proceeded. Comment out "options snd-intel-dspcfg dsp_driver=1
" in alsa-base.conf. And rebooted.
* No sound. "Dummy output" on pavucontrol
* Attaching full dmesg log and alsa-info: http://alsa-project.org/db/?f=8c55fd41cbd662c08dd8a21bf8d73817dbb8b7d2
* alsa -l: the -l flag is not a valid option for alsa command on my system.

----
wittawat@omen:~$ inxi -Ax
Audio: Device-1: Intel Cannon Lake PCH cAVS vendor: Hewlett-Packard driver: sof-audio-pci bus ID: 00:1f.3
           Device-2: NVIDIA TU106 High Definition Audio vendor: Hewlett-Packard driver: snd_hda_intel v: kernel
           bus ID: 01:00.1
           Sound Server: ALSA v: k5.4.0-25-generic
----

* This report is based on Hdmi.conf on my machine. I can try Hdmi.conf that you sent. Will post again.

* By the way, in all versions of the 5.4.0-25 kernel you sent, I could not change the brightness of my display. I guess there is something to do with ACPI.

Thanks.

Before I try your Hdmi.conf, I am attaching my one (/usr/share/alsa/ucm2/sof-hda-dsp/Hdmi.conf
) in case it is relevant.

* Tried your Hdmi.conf. It turns out that the system did not even boot. It did not bring me to the usual Ubuntu login GUI screen. I got stuck at a black screen with the message

[ 14.652221] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0

* So I forced reboot and selected 5.4.0-26-generic instead, hoping that it might boot up so I don't need to use some recovery USB. Indeed, it did boot up.

* As I understand it, dmesg.0 is the dmesg from the previous session. So I am attaching it here. I hope this is the right dmesg log that corresponds to the session that gave me the sof-audio-pci error above.

Thanks

Hui Wang (hui.wang) wrote :

[ 14.652221] sof-audio-pci 0000:00:1f.3: error: no reply expected, received 0x0
This message is common on all machine with sof driver, so we could ignore it.

According to dmesg in the #15, the kernel driver already worked. you could run "aplay -l" to check (sorry, not alsa -l).

So after update the Hdmi.conf, your audio should work. and there is no errors anymore in the dmesg of #17. I have no idea why it stuck at a black screen.

-25 kernel is based on the ubuntu 5.4.0-25-generic kernel, so it lacks the fix in the -26 kernel, maybe the brightness adjustment fix is in the -26 kernel.

So if you restore the Hdmi.conf, your -25 kernel could login?

okay. I just restored to my original Hdmi.conf. "options snd-intel-dspcfg dsp_driver=1" in alsa-base.conf still commented out.

Now the -25 kernel v3 does not boot anymore. I am confused now. I could boot in #15. It is supposed to be the same setting. I got stuck at a black screen. But if I select -26 in the Grub menu (keeping other config files the same), then it could boot easily.

I suspect that somehow a filesystem check is triggered at boot time, and maybe that filesystem checking process hangs. Just my pure guess. Are you aware of this in the new Ubuntu 20.04?

Hui Wang (hui.wang) wrote :

I don't know that.

Maybe there is some necessary fixup in the -26 kernel but not in the -25 kernel. After the -27 is ready, I will build a testing kernel based on -26 kernel, then you could test -26 testing kernel, if it has boot issues, you could choose the -27 kernel to boot then.

 I will just wait for the next update from you then. Many thanks.

Hui Wang (hui.wang) wrote :

This is the testing kernel based on the -26 kernel:
https://people.canonical.com/~hwang4/25skipi915/v4/

And don't forget the Hdmi.conf if kernel has no obvious errors or failures on audio.

Hui Wang (hui.wang) on 2020-05-07
tags: added: originate-from-1877247 somerville

Sorry. How should I start installing the v4 kernel? I just downloaded and did "sudo dpkg -i *.deb". But I got "errors encountered installing.. (the kernel)".

Do I have to do " sudo dpkg -r --force-all (something here)" first? Also what will happen to the original -26 kernel?

Hui Wang (hui.wang) wrote :

please install a higher version kernel like 5.4.0-28/29 first, boot with the new kernel, then sudo dpkg -r --force-all linux-image-unsigned-5.4.0-26-generic, install the v4 testing kernel to do the test.

I installed the v4 testing kernel on my machine, there is no errors:

hwang4@hwang4-Vostro-5390:/tmp$ sudo dpkg -i *.deb
[sudo] password for hwang4:
Selecting previously unselected package linux-image-unsigned-5.4.0-26-generic.
(Reading database ... 393690 files and directories currently installed.)
Preparing to unpack linux-image-unsigned-5.4.0-26-generic_5.4.0-26.30+skipv4_amd64.deb ...
Unpacking linux-image-unsigned-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
Selecting previously unselected package linux-modules-5.4.0-26-generic.
Preparing to unpack linux-modules-5.4.0-26-generic_5.4.0-26.30+skipv4_amd64.deb ...
Unpacking linux-modules-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
Selecting previously unselected package linux-modules-extra-5.4.0-26-generic.
Preparing to unpack linux-modules-extra-5.4.0-26-generic_5.4.0-26.30+skipv4_amd64.deb ...
Unpacking linux-modules-extra-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
Setting up linux-modules-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
Setting up linux-image-unsigned-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
I: /vmlinuz.old is now a symlink to boot/vmlinuz-5.3.0-46-generic
I: /initrd.img.old is now a symlink to boot/initrd.img-5.3.0-46-generic
I: /vmlinuz is now a symlink to boot/vmlinuz-5.4.0-26-generic
I: /initrd.img is now a symlink to boot/initrd.img-5.4.0-26-generic
Setting up linux-modules-extra-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
Processing triggers for linux-image-unsigned-5.4.0-26-generic (5.4.0-26.30+skipv4) ...
/etc/kernel/postinst.d/dkms:
 * dkms: running auto installation service for kernel 5.4.0-26-generic
Error! Your kernel headers for kernel 5.4.0-26-generic cannot be found.
Please install the linux-headers-5.4.0-26-generic package,
or use the --kernelsourcedir option to tell DKMS where it's located
Error! The dkms.conf for this module includes a BUILD_EXCLUSIVE directive which
does not match this kernel/arch. This indicates that it should not be built.
   ...done.
/etc/kernel/postinst.d/initramfs-tools:
update-initramfs: Generating /boot/initrd.img-5.4.0-26-generic
/etc/kernel/postinst.d/zz-update-grub:
Sourcing file `/etc/default/grub'
Generating grub configuration file ...
Found linux image: /boot/vmlinuz-5.4.0-26-generic
Found initrd image: /boot/initrd.img-5.4.0-26-generic
Found linux image: /boot/vmlinuz-5.3.0-46-generic
Found initrd image: /boot/initrd.img-5.3.0-46-generic
Found linux image: /boot/vmlinuz-5.0.0-1042-oem-osp1
Found initrd image: /boot/initrd.img-5.0.0-1042-oem-osp1
Found linux image: /boot/vmlinuz-5.0.0-1037-oem-osp1
Found initrd image: /boot/initrd.img-5.0.0-1037-oem-osp1
Found linux image: /boot/vmlinuz-5.0.0-1034-oem-osp1
Found initrd image: /boot/initrd.img-5.0.0-1034-oem-osp1
Adding boot menu entry for EFI firmware configuration
done

Hi Hui Wang. I'm on a -28 kernel. Did what you said to install the -26 v4 kernel. As usual, comment out "options snd-intel-dspcfg dsp_driver=1". Use my Hdmi.conf. When I rebooted with the -26 v4 kernel, I got stuck at a black screen again. But this time, I decided to try it a couple of times. It turns out that sometimes my -28 kernel also gets stuck at a black screen (quite rare. More often than not, it just boots up very quickly.). For the -26 v4 kernel, the black screen happens quite often. Luckily there was one instance where I could boot. I do not know how. Attaching dmesg log and alsa-info here for this lucky case.

Alsa-info: http://alsa-project.org/db/?f=eb81a042beed3bb62c86fa8e5e22f48319dc6596

When I run alsa-info, I see "cat: '/sys/module/snd_soc_skl_hda_dsp/parameters/*': No such file or directory". Not sure if this line was there before.

Forgot to say that I see "Dummy output" in pavucontrol, and there is no sound.

Now I tried your Hdmi.conf. Again, seeing black screen for a couple of reboots. Kept trying -26 v4 kernel. Then maybe the 3rd or 4th time, it booted. Here are more info for this case.

alsa-info: http://alsa-project.org/db/?f=3f409ae3409faaa0a36577e7df1061fb0b9334ac

No sound. Seeing Dummy output in pavucontrol.

By the way, alsa-mixer seems to select "HDA Nvidia" as the sound card. I don't think that should be the default.

inxi -Ax
Audio: Device-1: Intel Cannon Lake PCH cAVS vendor: Hewlett-Packard driver: sof-audio-pci bus ID: 00:1f.3
           Device-2: NVIDIA TU106 High Definition Audio vendor: Hewlett-Packard driver: snd_hda_intel v: kernel
           bus ID: 01:00.1
           Sound Server: ALSA v: k5.4.0-26-generic

Ideally, I think Device-1 above is the one that drives the laptop's speakers?

Hui Wang (hui.wang) wrote :

The last resort:

I built a kernel from the Intel audio driver tree, please test it https://people.canonical.com/~hwang4/25skipi915/v5/, please keep using the Hdmi.conf from v4.

If that doesn't work, please file a bug against Intel sof kernel: https://github.com/thesofproject/linux/issues/new, let intel audio team help on this bug.

thx.

Thanks for this. I tried it with your Hdmi.conf from v4. I could boot up to the login screen. After seeing the login GUI screen for a few seconds, the system just freezes (no longer responds to mouse and keyboard input). Attaching dmesg.0. I guess there is some file system check or something else that gets executed at that moment and disrupts the whole boot sequence.

Trying more things here. I changed Hdmi.conf back to my original file. The system boots with your v5 kernel.

http://alsa-project.org/db/?f=441f6bdb49c44e8ce84cee41ef1b6917544febcb

Still no sound. Seeing Dummy Output.

Trying more things here. I changed Hdmi.conf back to my original file. The system boots with your v5 kernel.

http://alsa-project.org/db/?f=441f6bdb49c44e8ce84cee41ef1b6917544febcb

Still no sound. Seeing Dummy Output.

Hui Wang (hui.wang) wrote :

It is not easy to debug without hardware, so the best way is to report this issue to https://github.com/thesofproject/linux/issues/new

Changed in alsa-driver (Ubuntu):
importance: Undecided → Low

Thanks for all the help so far.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-driver (Ubuntu):
status: New → Confirmed
Hui Wang (hui.wang) on 2020-05-25
affects: alsa-driver (Ubuntu) → linux (Ubuntu)
Changed in linux (Ubuntu):
assignee: nobody → Hui Wang (hui.wang)
Hui Wang (hui.wang) on 2020-05-25
description: updated
Hui Wang (hui.wang) wrote :

Adding ubuntu sponsors team.

This is the debdiff of alsa-ucm-conf for focal, and since the 2 patches are in the upstream, the groovy will have them automatically, so I don't send the debdiff for groovy.

Thx.

description: updated
Stefan Bader (smb) on 2020-05-25
Changed in linux (Ubuntu Focal):
importance: Undecided → Low
status: New → Confirmed
Alex Tu (alextu) on 2020-05-29
tags: added: oem-priority originate-from-1880527
Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in alsa-ucm-conf (Ubuntu Focal):
status: New → Confirmed
Changed in alsa-ucm-conf (Ubuntu):
status: New → Confirmed
hugh chao (hugh712) on 2020-06-03
tags: added: stella
Timo Aaltonen (tjaalton) wrote :

since groovy doesn't have that yet, I'll upload -1ubuntu1 to groovy and -1ubuntu0.1 to focal

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-ucm-conf - 1.2.2-1ubuntu1

---------------
alsa-ucm-conf (1.2.2-1ubuntu1) groovy; urgency=medium

  * Fix the audio crash on the machine without Intel HDMI audio (lp: #1874698)

 -- Hui Wang <email address hidden> Mon, 25 May 2020 14:36:48 +0800

Changed in alsa-ucm-conf (Ubuntu):
status: Confirmed → Fix Released
Changed in linux (Ubuntu Focal):
status: Confirmed → Fix Committed
Hui Wang (hui.wang) on 2020-06-08
no longer affects: linux (Ubuntu Groovy)
hugh chao (hugh712) wrote :

is it any chance to land alsa-ucm-conf into focal this week?

Hello Wittawat, or anyone else affected,

Accepted alsa-ucm-conf into focal-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/alsa-ucm-conf/1.2.2-1ubuntu0.1 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed. Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, what testing has been performed on the package and change the tag from verification-needed-focal to verification-done-focal. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed-focal. In either case, without details of your testing we will not be able to proceed.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance for helping!

N.B. The updated package will be released to -updates after the bug(s) fixed by this package have been verified and the package has been in -proposed for a minimum of 7 days.

Changed in alsa-ucm-conf (Ubuntu Focal):
status: Confirmed → Fix Committed
tags: added: verification-needed verification-needed-focal
hugh chao (hugh712) wrote :

which GA kernel do I need to verify?
I tried the combination of oem-linux-20.04(5.6.0-1010-oem) + alsa-ucm-conf 1.2.2-1ubuntu0.1, the result is passed,
but GA kernel (5.4.0-37) + alsa-ucm-conf 1.2.2-1ubuntu0.1 failed

hugh chao (hugh712) on 2020-06-10
Changed in oem-priority:
assignee: nobody → hugh chao (hugh712)
status: New → Confirmed
importance: Undecided → Critical
Hui Wang (hui.wang) wrote :

@hugh,

The fix will be in the 5.4.0-38 focal kernel. 5.4.0-37 doesn't have fix yet.

hugh chao (hugh712) wrote :

ok, let's wait until 5.4.0-38 in proposed and I will give it a try.

Welly Wu (wellywu) wrote :

I own a late 2019 Computer Upgrade King Hewlett Packard Omen 15t and I am running System76's Pop_OS! 20.04.0 64 bit LTS GNU/Linux. Looking at this bug report, it looks like I am affected. I see that the latest information is such that a fix was committed, but it has not been released yet.

Is it possible that a future and updated Linux kernel version will be released to include the necessary firmware, device drivers and updated software package versions to fix the Realtek ALC285 sound card and digital microphones so that they will work normally? Which specific Linux kernel version and linux-firmware version is going to be needed for the fix?

System76 chooses to use systemd-boot rather than GRUB2 used by Ubuntu. I did research and I typed in sudo kernelstub -a snd_hda_intel.dmic_detect=0 splash to be added to my Linux kernel version 5.4.0-7634-generic AMD64 and it selected the snd_hd_intel driver; the sound card is detected and audio is output through the laptop's stereo speakers, but I realize that I have an Intel 9th generation Core-i9 9880H mobile CPU which uses the Intel Cannon Lake PCH cAVS for Audio-1 according to inxi -F results. Based on research, I need the Sound Open Firmware, topology, updated software package versions for ALSA and perhaps Pulse Audio and I should be using a newer Linux kernel version above the current one that I am already using now.

According to my /etc/pulse/default.pa configuration file, I added these two lines:
load-module module-alsa-sink device=hw:0,0 channels=2
load-module module-alsa-source device=hw:0,6 channels=2

According to my /etc/modprobe.d/alsa-base.conf configuration file, I added this line:
options snd-hda-intel index=0 model=laptop-dmic

People should know that I also have a nVidia Geforce RTX 2080 Max-Q with 8 GB of GDDR6 VRAM mobile GPU on this HP Omen 15t gaming notebook PC.

How do I determine if I have a non-Intel HDMI output out of curiosity? Can I safely assume that both my MiniDisplay Port 1.4 and HDMI 2.0b are directed connected to my nVidia mobile GPU? Please let me know if it is important for me to backup my HDMI.

The big question that I have to ask this community is whether it is worth the effort and time for me to fix this on my own by downloading the correct version of the Sound Open Firmware, topology, ALSA-ucm file and a custom and newer Linux kernel version and learning how to install it safely using systemd-boot on my own or should I let Canonical, Ltd. and then System76 provide me with software updates in the future to fix my sound card and digital microphone on my HP Omen 15t PC? If the latter route is recommended for safety reasons since it seems obvious that I am asking questions from the perspective of a new end user, then what specific software packages and versions should I keep my eyes on via future software updates to get an early idea that my sound card and digital microphone will be fixed in the future?

What else do I need to know?

Thank you.

hugh chao (hugh712) wrote :

GA kernel 5.4.0.38.41 is in proposed channel now, I will verify it with alsa-ucm-conf 1.2.2-1ubuntu0.1 soon.

Welly Wu (wellywu) wrote :

Hugh Chao:

Please keep us informed with your results. I assume that I am correct to remove the specific hacks to my alsa-base.conf and default.pa configuration files while patiently waiting for Linux kernel 5.4.0.38-41 AMD64 and I may need to download and install alsa-ucm-conf 1.2.2-1 as well? This is a long Ubuntu Launchpad bug report so what exactly is it supposed to fix? Will my ALC285 sound card and digital microphone just work after installation of these newer software packages based on you sharing your results on your HP Omen 15 gaming notebook PC?

Welly Wu (wellywu) wrote :

If I download the alsa-ucm-conf 1.2.2-1 debdiff patch, then how do I apply it within Pop_OS! 20.04.0 64 bit LTS GNU/Linux and make it work with a future Linux kernel version? How do I download and install a newer Linux kernel version on Pop_OS!?

I apologize for becoming more of a nuisance and for my beginner questions. I would appreciate it if someone takes the time to tell me what I need to know and to do. Thanks.

Welly Wu (wellywu) wrote :

Upon closer investigation, Pop Shop is System76's replacement for their software center and there is an unchecked option to choose to download and install software packages from Ubuntu-Proposed (Focal Fossa). So, I expect that I may need to click this button, update Pop Shop and hope that the newer Linux kernel version will become available as a software update in the near future, correct?

Back to my question, how do I apply the alsa-ucm-conf 1.2.2-1 debdiff patch safely and will it work with Ubuntu kernel version 5.4.0.38-41 AMD64 or not?

hugh chao (hugh712) wrote :

@Welly,

please enable proposed channel first [0], then run below command,

# sudo apt install linux-generic alsa-ucm-conf

reboot and give it a try

[0] https://wiki.ubuntu.com/Testing/EnableProposed

hugh chao (hugh712) wrote :

Verified this issue with two combinations
1. linux-oem-20.04(5.6.0-1011-oem) + alsa-ucm-conf 1.2.2-1ubuntu0.1
2. linux-generic (5.4.0.38.41)(still in proposed channel) + alsa-ucm-conf 1.2.2-1ubuntu0.1

can actually fix this issue, and I didn't find any regression.

tags: added: verification-done-focal
removed: verification-needed verification-needed-focal
Changed in oem-priority:
status: Confirmed → Fix Committed
Welly Wu (wellywu) wrote :

Hugh Chao:

I followed your instructions exactly and I restarted my HP PC, but GNOME Settings shows dummy output for my audio card for audio output and nothing for audio input. Here is some technical information:

alsa-ucm-conf is already the newest version (1.2.2-1ubuntu0.1).
linux-generic is already the newest version (5.4.0.7634.38~1591219791~20.04~6b1c5de).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@late2019hpomen15t-pop-os:/boot# uname -r
5.4.0-7634-generic
root@late2019hpomen15t-pop-os:/boot# inxi -Ax
Audio:
  Device-1: Intel Cannon Lake PCH cAVS vendor: Hewlett-Packard
  driver: sof-audio-pci bus ID: 00:1f.3
  Device-2: NVIDIA TU104 HD Audio vendor: Hewlett-Packard
  driver: snd_hda_intel v: kernel bus ID: 01:00.1
  Sound Server: ALSA v: k5.4.0-7634-generic
root@late2019hpomen15t-pop-os:/boot#

I did decide to remove the few lines of code from /etc/pulse/default.pa and I removed the line of code from /etc/modprobe.d/alsa-base.conf before I restarted my HP PC and it resulted in dummy output and no detected microphone. I am going to re-add those lines of code and restart my HP PC again.

Why is this not producing the expected results?

Welly Wu (wellywu) wrote :

Hugh Chao:

I edited /etc/modprobe.d/alsa-base.conf by adding this line of code:

a. options snd-intel-dspcfg dsp_driver=1

I also edited it to remove this line of code:

b. options snd-hda-intel index=0 model=laptop-dmic

I also edited /etc/pulse/default.pa by re-adding these two lines of code:

c. load-module module-alsa-sink device=hw:0,0 channels=2
d. load-module module-alsa-source device=hw:0,6 channels=2

I restarted my HP PC and audio output shows Speakers- Built In Audio and clicking the Test button does produce audio from both the left and right speaker channels. Audio Input shows Internal Microphone - Built In Audio, but it does not seem to record the sound of my voice or background noise again.

This is my output from running inxi -Ax:

wellywu@late2019hpomen15t-pop-os:~$ inxi -Ax
Audio:
  Device-1: Intel Cannon Lake PCH cAVS vendor: Hewlett-Packard
  driver: snd_hda_intel v: kernel bus ID: 00:1f.3
  Device-2: NVIDIA TU104 HD Audio vendor: Hewlett-Packard
  driver: snd_hda_intel v: kernel bus ID: 01:00.1
  Sound Server: ALSA v: k5.4.0-7634-generic
wellywu@late2019hpomen15t-pop-os:~$

I ran sudo su - and put in my password and I ran sudo apt install linux-generic alsa-ucm-conf and this is my output:

wellywu@late2019hpomen15t-pop-os:~$ sudo su -
[sudo] password for wellywu:
root@late2019hpomen15t-pop-os:~# sudo apt install linux-generic alsa-ucm-conf
Reading package lists... Done
Building dependency tree
Reading state information... Done
linux-generic is already the newest version (5.4.0.7634.38~1591219791~20.04~6b1c5de).
alsa-ucm-conf is already the newest version (1.2.2-1ubuntu0.1).
0 upgraded, 0 newly installed, 0 to remove and 0 not upgraded.
root@late2019hpomen15t-pop-os:~# exit
logout
wellywu@late2019hpomen15t-pop-os:~$ uname -r
5.4.0-7634-generic
wellywu@late2019hpomen15t-pop-os:~$
NVIDIA
It looks like snd_hda_intel is the driver used for the Intel Cannon Lake PCH cAVS and NVIDIA TU104 HD Audio while the vendor changed to Hewlett Packard after following your instructions exactly.

Again, I apologize for sounding like an idiot, but what did following your instructions exactly do in terms of making changes? Why is it that my digital microphone changed from Rear Microphone - Built In Audio to Internal Microphone - Built In Audio and why does it still not pick up background audio or the sound of my voice?

Welly Wu (wellywu) wrote :

I installed Pop_OS! 20.04.0 64 bit LTS GNU/Linux bare metal on my late 2019 CUK HP Omen 15t gaming notebook PC this past Monday, June 8th, 2020 at around 2:15 PM EDT. For the past several days, I have done my best to do in depth research into the root cause of why my sound card and microphone do not work properly and I learned a lot of technical information. I also spent a lot of time to download, install, configure and optimize my software packages and products and I discovered that some of the third-party software vendors only officially support Ubuntu up to version 18.04.x 64 bit LTS, but they are in the process of patching and updating their software products for 20.04.0 64 bit LTS at this time. In short, my choice of Pop_OS! in of itself may preclude me from receiving official technical support in order to troubleshoot some third-party software products that I am currently using and with which I have relatively minor bugs with some apps. The more serious issue with Pop_OS! is getting the Sound Open Firmware, device drivers and topology along with updated versions of the required software packages an newer Linux kernel version not to mention hardware specific hacks to configure the sound card and digital microphone are not yet available for Ubuntu 20.04.0 64 bit LTS and my HP Omen 15t PC; future step by step documentation that provides a working solution will almost certainly require Ubuntu 20.04.x 64 bit LTS especially with regards to the standard GRUB2 boot loader.

At this point, I decided to mark this Ubuntu Launchpad bug as it does not affect me to stop receiving notifications in the future. I have decided to use my Easeus To-Do Home software product which I paid for and licensed on my late 2019 CUK HP Omen 15t gaming notebook PC and to plug in my Transcend StoreJet H3 2 TB portable hard disk drive to restore my disk image and return back to a Microsoft Windows 10 64 bit Pro edition version 1909 as of May 2020 Windows Update environment if for no other reason that 100% compatibility and to receive official help and technical support from Computer Upgrade King for the next three years.

This was an eye opening learning experience that yielded a valuable lesson and one of my former friends told me not to fuck with my Windows desktop operating system when I received my product a few weeks ago. His common sense advice should have been heeded by myself and I am going to take it and restore Windows on my HP PC this weekend.

The verification of the Stable Release Update for alsa-ucm-conf has completed successfully and the package is now being released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package alsa-ucm-conf - 1.2.2-1ubuntu0.1

---------------
alsa-ucm-conf (1.2.2-1ubuntu0.1) focal; urgency=medium

  * Fix the audio crash on the machine without Intel HDMI audio (lp: #1874698)

 -- Hui Wang <email address hidden> Mon, 25 May 2020 14:36:48 +0800

Changed in alsa-ucm-conf (Ubuntu Focal):
status: Fix Committed → Fix Released
Alex Tu (alextu) on 2020-06-18
tags: added: originate-from-1880147
hugh chao (hugh712) on 2020-06-20
Changed in oem-priority:
status: Fix Committed → Fix Released

All autopkgtests for the newly accepted linux-oracle-5.4 (5.4.0-1019.19~18.04.1) for bionic have finished running.
The following regressions have been reported in tests triggered by the package:

zfs-linux/unknown (armhf)

Please visit the excuses page listed below and investigate the failures, proceeding afterwards as per the StableReleaseUpdates policy regarding autopkgtest regressions [1].

https://people.canonical.com/~ubuntu-archive/proposed-migration/bionic/update_excuses.html#linux-oracle-5.4

[1] https://wiki.ubuntu.com/StableReleaseUpdates#Autopkgtest_Regressions

Thank you!

Launchpad Janitor (janitor) wrote :
Download full text (30.0 KiB)

This bug was fixed in the package linux - 5.4.0-40.44

---------------
linux (5.4.0-40.44) focal; urgency=medium

  * linux-oem-5.6-tools-common and -tools-host should be dropped (LP: #1881120)
    - [Packaging] Add Conflicts/Replaces to remove linux-oem-5.6-tools-common and
      -tools-host

  * Packaging resync (LP: #1786013)
    - [Packaging] update helper scripts

  * Slow send speed with Intel I219-V on Ubuntu 18.04.1 (LP: #1802691)
    - e1000e: Disable TSO for buffer overrun workaround

  * CVE-2020-0543
    - UBUNTU/SAUCE: x86/speculation/srbds: do not try to turn mitigation off when
      not supported

  * Realtek 8723DE [10ec:d723] subsystem [10ec:d738] disconnects unsolicitedly
    when Bluetooth is paired: Reason: 23=IEEE8021X_FAILED (LP: #1878147)
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: Move driver IQK to set channel before
      association for 11N chip"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: fix rate for a while after being
      connected"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: No retry and report for auth and assoc"
    - SAUCE: Revert "UBUNTU: SAUCE: rtw88: 8723d: Add coex support"
    - rtw88: add a debugfs entry to dump coex's info
    - rtw88: add a debugfs entry to enable/disable coex mechanism
    - rtw88: 8723d: Add coex support
    - SAUCE: rtw88: coex: 8723d: set antanna control owner
    - SAUCE: rtw88: coex: 8723d: handle BT inquiry cases
    - SAUCE: rtw88: fix EAPOL 4-way failure by finish IQK earlier

  * CPU stress test fails with focal kernel (LP: #1867900)
    - [Config] Disable hisi_sec2 temporarily

  * Enforce all config annotations (LP: #1879327)
    - [Config]: do not enforce CONFIG_VERSION_SIGNATURE
    - [Config]: prepare to enforce all
    - [Config]: enforce all config options

  * Focal update: v5.4.44 upstream stable release (LP: #1881927)
    - ax25: fix setsockopt(SO_BINDTODEVICE)
    - dpaa_eth: fix usage as DSA master, try 3
    - net: don't return invalid table id error when we fall back to PF_UNSPEC
    - net: dsa: mt7530: fix roaming from DSA user ports
    - net: ethernet: ti: cpsw: fix ASSERT_RTNL() warning during suspend
    - __netif_receive_skb_core: pass skb by reference
    - net: inet_csk: Fix so_reuseport bind-address cache in tb->fast*
    - net: ipip: fix wrong address family in init error path
    - net/mlx5: Add command entry handling completion
    - net: mvpp2: fix RX hashing for non-10G ports
    - net: nlmsg_cancel() if put fails for nhmsg
    - net: qrtr: Fix passing invalid reference to qrtr_local_enqueue()
    - net: revert "net: get rid of an signed integer overflow in
      ip_idents_reserve()"
    - net sched: fix reporting the first-time use timestamp
    - net/tls: fix race condition causing kernel panic
    - nexthop: Fix attribute checking for groups
    - r8152: support additional Microsoft Surface Ethernet Adapter variant
    - sctp: Don't add the shutdown timer if its already been added
    - sctp: Start shutdown on association restart if in SHUTDOWN-SENT state and
      socket is closed
    - tipc: block BH before using dst_cache
    - net/mlx5e: kTLS, Destroy key object after destroying the TIS
    - net/mlx5e: Fix inner tirs handling
    - net/m...

Changed in linux (Ubuntu Focal):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.